Create Lease File: Propertyware REST
https://api.propexo.com/v1/leases/propertyware_rest/:lease_id/file-upload/Attach a file to a lease.
| Method | Interface |
|---|---|
| POST /v1/docs | Documents |
| PUT /v1/docs | Documents |
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The Propexo unique identifier for the lease
Request
This endpoint expects an object.
The Propexo unique identifier for the integration
attachment objectrequired
The file to attach to the lease
Possible values: <= 66500000 characters
The name of the file. Ex: "resume.pdf"
The mime type of the file. Ex: "application/pdf"
Possible values: Value must match regular expression ^[a-zA-Z0-9][a-zA-Z0-9!#$&^_+-]{0,126}\/[a-zA-Z0-9][a-zA-Z0-9!#$&^_+-]{0,126}$
A description of the file being uploaded
Response
Successful response
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the lease
attachment objectrequired
Possible values: <= 66500000 characters
The name of the file. Ex: "resume.pdf"
The mime type of the file. Ex: "application/pdf"
Possible values: Value must match regular expression ^[a-zA-Z0-9][a-zA-Z0-9!#$&^_+-]{0,126}\/[a-zA-Z0-9][a-zA-Z0-9!#$&^_+-]{0,126}$
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/leases/propertyware_rest/:lease_id/file-upload/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"attachment": {
"file_data": "string",
"file_name": "string",
"mime_type": "string",
"description": "string"
}
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"lease_id": "string",
"attachment": {
"file_data": "string",
"file_name": "string",
"mime_type": "string",
"description": "string"
}
}
}